Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.osgi.service.upnp
Interface UPnPIcon

public interface UPnPIcon

A UPnP icon representation. Each UPnP device can contain zero or more icons.

Method Summary
`int` | `getDepth()` Returns the color depth of the icon in bits.
`int` | `getHeight()` Returns the height of the icon in pixels.
`java.io.InputStream` | `getInputStream()` Returns an `InputStream` object for the icon data.
`java.lang.String` | `getMimeType()` Returns the MIME type of the icon.
`int` | `getSize()` Returns the size of the icon in bytes.
`int` | `getWidth()` Returns the width of the icon in pixels.

Method Detail

### getMimeType

    public java.lang.String getMimeType()

  Returns the MIME type of the icon. This method returns the format in which the icon graphics, read from the `InputStream` object obtained by the `getInputStream()` method, is encoded.

  The format of the returned string is in accordance to RFC2046. A list of valid MIME types is maintained by the IANA at ftp://ftp.isi.edu/in-notes/iana/assignments/media-types/media-types.

  Typical values returned include: "image/jpeg" or "image/gif"

  Returns:
    The MIME type of the encoded icon.

### getWidth

    public int getWidth()

  Returns the width of the icon in pixels. If the actual width of the icon is unknown, -1 is returned.
  Returns:
    The width in pixels, or -1 if unknown.

### getHeight

    public int getHeight()

  Returns the height of the icon in pixels. If the actual height of the icon is unknown, -1 is returned.
  Returns:
    The height in pixels, or -1 if unknown.

### getSize

    public int getSize()

  Returns the size of the icon in bytes. This method returns the number of bytes of the icon available to read from the `InputStream` object obtained by the `getInputStream()` method. If the actual size can not be determined, -1 is returned.
  Returns:
    The icon size in bytes, or -1 if the size is unknown.

### getDepth

    public int getDepth()

  Returns the color depth of the icon in bits.
  Returns:
    The color depth in bits. If the actual color depth of the icon is unknown, -1 is returned.

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Returns an `InputStream` object for the icon data. The `InputStream` object provides a way for a client to read the actual icon graphics data. The number of bytes available from this `InputStream` object can be determined via the `getSize()` method. The format of the data encoded can be determined by the MIME type availble via the `getMimeType()` method.
  Returns:
    An InputStream to read the icon graphics data from.
  See Also:
    `getMimeType()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) OSGi Alliance (2000, 2003). All Rights Reserved.